All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount
@ 2020-10-16  9:31 Yang Xu
  2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
  2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong
  0 siblings, 2 replies; 8+ messages in thread
From: Yang Xu @ 2020-10-16  9:31 UTC (permalink / raw)
  To: guaneryu; +Cc: fstests, Yang Xu

Here will check the return code of mount option. So update it
to use _try_scratch_mount.

Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
---
 tests/xfs/521 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/521 b/tests/xfs/521
index 3aaa1296..e6c417b8 100755
--- a/tests/xfs/521
+++ b/tests/xfs/521
@@ -49,7 +49,7 @@ echo "Format and mount 100m rt volume"
 export USE_EXTERNAL=yes
 export SCRATCH_RTDEV=$rtdev
 _scratch_mkfs -r size=100m > $seqres.full
-_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
+_try_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
 
 testdir=$SCRATCH_MNT/test-$seq
 mkdir $testdir
-- 
2.23.0




^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [PATCH 2/2] generic/402: use _try_scratch_mount instead of _scratch_mount
  2020-10-16  9:31 [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Yang Xu
@ 2020-10-16  9:31 ` Yang Xu
  2020-10-16 15:33   ` Darrick J. Wong
  2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong
  1 sibling, 1 reply; 8+ messages in thread
From: Yang Xu @ 2020-10-16  9:31 UTC (permalink / raw)
  To: guaneryu; +Cc: fstests, Yang Xu

Here will check the return code of mount option. So update it
to use _try_scratch_mount

Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
---
 tests/generic/402 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/generic/402 b/tests/generic/402
index 7fc81864..4c940ac4 100755
--- a/tests/generic/402
+++ b/tests/generic/402
@@ -102,7 +102,7 @@ run_test()
 }
 
 _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
-_scratch_mount || _fail "scratch mount failed"
+_try_scratch_mount || _fail "scratch mount failed"
 
 _require_timestamp_range $SCRATCH_DEV
 
-- 
2.23.0




^ permalink raw reply related	[flat|nested] 8+ messages in thread

* Re: [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount
  2020-10-16  9:31 [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Yang Xu
  2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
@ 2020-10-16 15:32 ` Darrick J. Wong
  1 sibling, 0 replies; 8+ messages in thread
From: Darrick J. Wong @ 2020-10-16 15:32 UTC (permalink / raw)
  To: Yang Xu; +Cc: guaneryu, fstests

On Fri, Oct 16, 2020 at 05:31:23PM +0800, Yang Xu wrote:
> Here will check the return code of mount option. So update it
> to use _try_scratch_mount.
> 
> Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>

Looks good to me,
Reviewed-by: Darrick J. Wong <darrick.wong@oracle.com>

--D

> ---
>  tests/xfs/521 | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/tests/xfs/521 b/tests/xfs/521
> index 3aaa1296..e6c417b8 100755
> --- a/tests/xfs/521
> +++ b/tests/xfs/521
> @@ -49,7 +49,7 @@ echo "Format and mount 100m rt volume"
>  export USE_EXTERNAL=yes
>  export SCRATCH_RTDEV=$rtdev
>  _scratch_mkfs -r size=100m > $seqres.full
> -_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
> +_try_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
>  
>  testdir=$SCRATCH_MNT/test-$seq
>  mkdir $testdir
> -- 
> 2.23.0
> 
> 
> 

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH 2/2] generic/402: use _try_scratch_mount instead of _scratch_mount
  2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
@ 2020-10-16 15:33   ` Darrick J. Wong
  2020-10-18 10:10     ` Eryu Guan
  0 siblings, 1 reply; 8+ messages in thread
From: Darrick J. Wong @ 2020-10-16 15:33 UTC (permalink / raw)
  To: Yang Xu; +Cc: guaneryu, fstests

On Fri, Oct 16, 2020 at 05:31:24PM +0800, Yang Xu wrote:
> Here will check the return code of mount option. So update it
> to use _try_scratch_mount
> 
> Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
> ---
>  tests/generic/402 | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/tests/generic/402 b/tests/generic/402
> index 7fc81864..4c940ac4 100755
> --- a/tests/generic/402
> +++ b/tests/generic/402
> @@ -102,7 +102,7 @@ run_test()
>  }
>  
>  _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
> -_scratch_mount || _fail "scratch mount failed"
> +_try_scratch_mount || _fail "scratch mount failed"

Why not just drop the "|| _fail" part?  The message isn't much
more specific than the fail message that _scratch_mount emits.

--D

>  
>  _require_timestamp_range $SCRATCH_DEV
>  
> -- 
> 2.23.0
> 
> 
> 

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH 2/2] generic/402: use _try_scratch_mount instead of _scratch_mount
  2020-10-16 15:33   ` Darrick J. Wong
@ 2020-10-18 10:10     ` Eryu Guan
  2020-10-19  2:05       ` Yang Xu
  2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
  0 siblings, 2 replies; 8+ messages in thread
From: Eryu Guan @ 2020-10-18 10:10 UTC (permalink / raw)
  To: Darrick J. Wong; +Cc: Yang Xu, guaneryu, fstests

On Fri, Oct 16, 2020 at 08:33:21AM -0700, Darrick J. Wong wrote:
> On Fri, Oct 16, 2020 at 05:31:24PM +0800, Yang Xu wrote:
> > Here will check the return code of mount option. So update it
> > to use _try_scratch_mount
> > 
> > Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
> > ---
> >  tests/generic/402 | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > diff --git a/tests/generic/402 b/tests/generic/402
> > index 7fc81864..4c940ac4 100755
> > --- a/tests/generic/402
> > +++ b/tests/generic/402
> > @@ -102,7 +102,7 @@ run_test()
> >  }
> >  
> >  _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
> > -_scratch_mount || _fail "scratch mount failed"
> > +_try_scratch_mount || _fail "scratch mount failed"
> 
> Why not just drop the "|| _fail" part?  The message isn't much
> more specific than the fail message that _scratch_mount emits.

Agreed, using _scratch_mount is fine here.

Thanks,
Eryu

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH 2/2] generic/402: use _try_scratch_mount instead of _scratch_mount
  2020-10-18 10:10     ` Eryu Guan
@ 2020-10-19  2:05       ` Yang Xu
  2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
  1 sibling, 0 replies; 8+ messages in thread
From: Yang Xu @ 2020-10-19  2:05 UTC (permalink / raw)
  To: Eryu Guan, Darrick J. Wong; +Cc: guaneryu, fstests

on 2020/10/18 18:10, Eryu Guan wrote:
> On Fri, Oct 16, 2020 at 08:33:21AM -0700, Darrick J. Wong wrote:
>> On Fri, Oct 16, 2020 at 05:31:24PM +0800, Yang Xu wrote:
>>> Here will check the return code of mount option. So update it
>>> to use _try_scratch_mount
>>>
>>> Signed-off-by: Yang Xu<xuyang2018.jy@cn.fujitsu.com>
>>> ---
>>>   tests/generic/402 | 2 +-
>>>   1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> diff --git a/tests/generic/402 b/tests/generic/402
>>> index 7fc81864..4c940ac4 100755
>>> --- a/tests/generic/402
>>> +++ b/tests/generic/402
>>> @@ -102,7 +102,7 @@ run_test()
>>>   }
>>>
>>>   _scratch_mkfs&>>  $seqres.full 2>&1 || _fail "mkfs failed"
>>> -_scratch_mount || _fail "scratch mount failed"
>>> +_try_scratch_mount || _fail "scratch mount failed"
>>
>> Why not just drop the "|| _fail" part?  The message isn't much
>> more specific than the fail message that _scratch_mount emits.
>
> Agreed, using _scratch_mount is fine here.
Hi Darrick, Eryu
	Thanks for your review. Using _scratch_mount is better. I will send a 
v2 patch.

Best Regards
Yang Xu
	
>
> Thanks,
> Eryu
>
>
> .
>




^ permalink raw reply	[flat|nested] 8+ messages in thread

* [PATCH v2] generic/402: Drop useless fail message
  2020-10-18 10:10     ` Eryu Guan
  2020-10-19  2:05       ` Yang Xu
@ 2020-10-19  3:01       ` Yang Xu
  2020-10-19 16:03         ` Darrick J. Wong
  1 sibling, 1 reply; 8+ messages in thread
From: Yang Xu @ 2020-10-19  3:01 UTC (permalink / raw)
  To: darrick.wong, guaneryu; +Cc: fstests, Yang Xu

Here won't be "scratch mount failed" messages when mounting SCRATCH_DEV
failed, because _scratch_mount exits early by invoking the following_fail.

_scratch_mount
{
        _try_scratch_mount $* || _fail "mount failed"
}

The message is useless and redundant. So drop it.

Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
---
 tests/generic/402 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/generic/402 b/tests/generic/402
index 7fc81864..ddaadf6d 100755
--- a/tests/generic/402
+++ b/tests/generic/402
@@ -102,7 +102,7 @@ run_test()
 }
 
 _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
-_scratch_mount || _fail "scratch mount failed"
+_scratch_mount
 
 _require_timestamp_range $SCRATCH_DEV
 
-- 
2.23.0




^ permalink raw reply related	[flat|nested] 8+ messages in thread

* Re: [PATCH v2] generic/402: Drop useless fail message
  2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
@ 2020-10-19 16:03         ` Darrick J. Wong
  0 siblings, 0 replies; 8+ messages in thread
From: Darrick J. Wong @ 2020-10-19 16:03 UTC (permalink / raw)
  To: Yang Xu; +Cc: guaneryu, fstests

On Mon, Oct 19, 2020 at 11:01:59AM +0800, Yang Xu wrote:
> Here won't be "scratch mount failed" messages when mounting SCRATCH_DEV
> failed, because _scratch_mount exits early by invoking the following_fail.
> 
> _scratch_mount
> {
>         _try_scratch_mount $* || _fail "mount failed"
> }
> 
> The message is useless and redundant. So drop it.
> 
> Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
> ---

Looks good to me,
Reviewed-by: Darrick J. Wong <darrick.wong@oracle.com>

--D

>  tests/generic/402 | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/tests/generic/402 b/tests/generic/402
> index 7fc81864..ddaadf6d 100755
> --- a/tests/generic/402
> +++ b/tests/generic/402
> @@ -102,7 +102,7 @@ run_test()
>  }
>  
>  _scratch_mkfs &>> $seqres.full 2>&1 || _fail "mkfs failed"
> -_scratch_mount || _fail "scratch mount failed"
> +_scratch_mount
>  
>  _require_timestamp_range $SCRATCH_DEV
>  
> -- 
> 2.23.0
> 
> 
> 

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2020-10-19 16:05 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-10-16  9:31 [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Yang Xu
2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
2020-10-16 15:33   ` Darrick J. Wong
2020-10-18 10:10     ` Eryu Guan
2020-10-19  2:05       ` Yang Xu
2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
2020-10-19 16:03         ` Darrick J. Wong
2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.